[arch-commits] Commit in geoip-database/repos/extra-any (4 files)
Evangelos Foutras
foutrelis at archlinux.org
Mon Apr 20 23:01:52 UTC 2015
Date: Tuesday, April 21, 2015 @ 01:01:52
Author: foutrelis
Revision: 237814
archrelease: copy trunk to extra-any
Added:
geoip-database/repos/extra-any/PKGBUILD
(from rev 237813, geoip-database/trunk/PKGBUILD)
geoip-database/repos/extra-any/check-last-modified.sh
(from rev 237813, geoip-database/trunk/check-last-modified.sh)
Deleted:
geoip-database/repos/extra-any/PKGBUILD
geoip-database/repos/extra-any/check-last-modified.sh
------------------------+
PKGBUILD | 96 +++++++++++++++++++++++------------------------
check-last-modified.sh | 44 ++++++++++-----------
2 files changed, 70 insertions(+), 70 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2015-04-20 23:01:43 UTC (rev 237813)
+++ PKGBUILD 2015-04-20 23:01:52 UTC (rev 237814)
@@ -1,48 +0,0 @@
-# $Id$
-# Maintainer: Evangelos Foutras <evangelos at foutrelis.com>
-
-pkgname=geoip-database
-pkgver=20150303
-pkgrel=1
-pkgdesc="GeoLite country geolocation database compiled by MaxMind"
-arch=('any')
-url="http://dev.maxmind.com/geoip/legacy/downloadable/"
-license=('custom:OPEN DATA LICENSE')
-source=(GeoIP-$pkgver.dat.gz::https://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
- GeoIPv6-$pkgver.dat.gz::https://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz
- http://geolite.maxmind.com/download/geoip/database/LICENSE.txt)
-noextract=(GeoIP-$pkgver.dat.gz
- GeoIPv6-$pkgver.dat.gz)
-sha256sums=('79ff1099e96c2dc1c2539c9a18aaa13a9afd085cae477df60d95f1644d42bc07'
- 'a009b0f21968d2868e6dd19d14f3c3b8cd60ae84a4bfc2970df34d771a04811e'
- '83a4cb82ef8953c0107886b49bc39fcf77590a222d30e778d48f5d92f5b5e383')
-
-prepare() {
- cd "$srcdir"
-
- for _database_name in GeoIP GeoIPv6; do
- gunzip -c $_database_name-$pkgver.dat.gz >$_database_name.dat
- done
-}
-
-check() {
- cd "$srcdir"
-
- for _database in {GeoIP,GeoIPv6}.dat; do
- if ! grep -q 'MaxMind Inc All Rights Reserved' $_database; then
- error "Copyright notice is missing from $_database; something is fishy!"
- return 1
- fi
- done
-}
-
-package() {
- cd "$srcdir"
-
- install -d "$pkgdir/usr/share/GeoIP"
- install -m644 -t "$pkgdir/usr/share/GeoIP" GeoIP.dat GeoIPv6.dat
-
- install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
-}
-
-# vim:set ts=2 sw=2 et:
Copied: geoip-database/repos/extra-any/PKGBUILD (from rev 237813, geoip-database/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2015-04-20 23:01:52 UTC (rev 237814)
@@ -0,0 +1,48 @@
+# $Id$
+# Maintainer: Evangelos Foutras <evangelos at foutrelis.com>
+
+pkgname=geoip-database
+pkgver=20150407
+pkgrel=1
+pkgdesc="GeoLite country geolocation database compiled by MaxMind"
+arch=('any')
+url="http://dev.maxmind.com/geoip/legacy/downloadable/"
+license=('custom:OPEN DATA LICENSE')
+source=(GeoIP-$pkgver.dat.gz::https://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
+ GeoIPv6-$pkgver.dat.gz::https://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz
+ http://geolite.maxmind.com/download/geoip/database/LICENSE.txt)
+noextract=(GeoIP-$pkgver.dat.gz
+ GeoIPv6-$pkgver.dat.gz)
+sha256sums=('33104eb35340c97227ea93f7ba1c84c38742a4f8adea23a3201350e9bd918795'
+ '71245e34e80e45257183eaab5392fbb2bd84c8e1757d9649bc22e39faff4e64f'
+ '83a4cb82ef8953c0107886b49bc39fcf77590a222d30e778d48f5d92f5b5e383')
+
+prepare() {
+ cd "$srcdir"
+
+ for _database_name in GeoIP GeoIPv6; do
+ gunzip -c $_database_name-$pkgver.dat.gz >$_database_name.dat
+ done
+}
+
+check() {
+ cd "$srcdir"
+
+ for _database in {GeoIP,GeoIPv6}.dat; do
+ if ! grep -q 'MaxMind Inc All Rights Reserved' $_database; then
+ error "Copyright notice is missing from $_database; something is fishy!"
+ return 1
+ fi
+ done
+}
+
+package() {
+ cd "$srcdir"
+
+ install -d "$pkgdir/usr/share/GeoIP"
+ install -m644 -t "$pkgdir/usr/share/GeoIP" GeoIP.dat GeoIPv6.dat
+
+ install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
+}
+
+# vim:set ts=2 sw=2 et:
Deleted: check-last-modified.sh
===================================================================
--- check-last-modified.sh 2015-04-20 23:01:43 UTC (rev 237813)
+++ check-last-modified.sh 2015-04-20 23:01:52 UTC (rev 237814)
@@ -1,22 +0,0 @@
-#!/bin/bash -e
-
-# Unicode characters taken from pactree.c
-UNICODE_IS_FUN="\u2514\u2500"
-
-verbose=0
-if [[ $1 == -v ]]; then
- verbose=1
-fi
-
-URLS=(https://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
- https://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz)
-
-for url in ${URLS[@]}; do
- last_mod=$(curl -sI $url | grep ^Last-Modified: | cut -d' ' -f2- | tr -d '\r')
- echo "$last_mod (${url##*/})"
-
- if ((verbose)); then
- build_id=$(curl -s $url | gzip -cd | grep -ao '[0-9]* Build [0-9]*')
- echo -e "${UNICODE_IS_FUN}$build_id"
- fi
-done
Copied: geoip-database/repos/extra-any/check-last-modified.sh (from rev 237813, geoip-database/trunk/check-last-modified.sh)
===================================================================
--- check-last-modified.sh (rev 0)
+++ check-last-modified.sh 2015-04-20 23:01:52 UTC (rev 237814)
@@ -0,0 +1,22 @@
+#!/bin/bash -e
+
+# Unicode characters taken from pactree.c
+UNICODE_IS_FUN="\u2514\u2500"
+
+verbose=0
+if [[ $1 == -v ]]; then
+ verbose=1
+fi
+
+URLS=(https://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
+ https://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz)
+
+for url in ${URLS[@]}; do
+ last_mod=$(curl -sI $url | grep ^Last-Modified: | cut -d' ' -f2- | tr -d '\r')
+ echo "$last_mod (${url##*/})"
+
+ if ((verbose)); then
+ build_id=$(curl -s $url | gzip -cd | grep -ao '[0-9]* Build [0-9]*')
+ echo -e "${UNICODE_IS_FUN}$build_id"
+ fi
+done
More information about the arch-commits
mailing list